from enum import Enum


class SymbolFormatEnum(Enum):
    UPPER_UNDERSCORE = 1
    LOWER_UNDERSCORE = 2
    LOWER = 3
    UPPER_HYPHEN = 4


def symbol_format_conv(s, from_format: SymbolFormatEnum, to_format: SymbolFormatEnum):
    if (from_format is SymbolFormatEnum.UPPER_UNDERSCORE and
            to_format is SymbolFormatEnum.LOWER):
        return ''.join(s.split('_')).lower()
    elif from_format is SymbolFormatEnum.UPPER_UNDERSCORE and to_format is SymbolFormatEnum.UPPER_HYPHEN:
        return '-'.join(s.split('_'))
    elif (from_format is SymbolFormatEnum.LOWER and
          to_format in [SymbolFormatEnum.LOWER_UNDERSCORE, SymbolFormatEnum.UPPER_UNDERSCORE]):
        # it's unknown how many chars are there for quote currency
        # try all 3 possibilities
        base = None
        for cur_base in ['btc', 'eth', 'usdt']:
            if s.endswith(cur_base):
                base = cur_base
                break
        if base is not None:
            result = s[:len(s) - len(base)] + '_' + base
            return result if to_format is SymbolFormatEnum.LOWER_UNDERSCORE else result.upper()
        else:
            return s
